Class Specialization
IndexSa
An index based on a suffix array.

Index

IndexSa

Index<TText, IndexSa<> >
Include Headers
seqan/index_extras.h
Parameters

TText | The text type. Types: String, StringSet

Specialization of
Index
Metafunctions

Fibre | Type of a specific container member (fibre). (Index)
SAValue | The default alphabet type of a suffix array, i.e. the type to store a position of a string or string set. (Index)

Functions

begin | Returns an iterator pointing to the root node of the virtual string tree/trie of an index. The only exception are Postorder iterators, where begin returns an iterator pointing to the leftmost node in the tree/trie.
clear | Resets an object. (Index)
countSequences | Return the number of sequences in an index' underlying text. (Index)
end | The end of a container. (Index)
getFibre | Returns a specific fibre of a container. (Index)
indexCreate | Creates a specific Fibre. (Index)
indexRequire | On-demand creation of a specific Fibre. (Index)
indexSA | Shortcut for getFibre(.., FibreSA). (Index)
indexSupplied | Returns whether a specific Fibre is present. (Index)
indexText | Shortcut for getFibre(index, FibreText()). (Index)
length | The number of characters in the underlying text of the index is returned. (Index)
open | This functions opens an index from disk. (Index)
save | This functions saves an index to disk. (Index)

Example Programs
Maximal Repeats, Index Finder StringSet, Mummy, Maximal Unique Matches, Index lcpAt, saAt, Index Finder, Index countOccurrencesMultiple, Supermaximal Repeats, Index countChildren
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00